Summary: Libraries to provide access to RTAS calls and RTAS events.
Name: librtas
Version: 1.2.4
Release: 2
URL: http://librtas.ozlabs.org
License: IBM Common Public License (CPL) v1.0
Group: System Environment/Libraries
Source: librtas-src-1.2.4.tar.gz
Patch0: librtas-1.2.4-no_syscall1.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: ppc ppc64

%description
The librtas shared library provides userspace with an interface
through which certain RTAS calls can be made.  The library uses
either of the RTAS User Module or the RTAS system call to direct 
the kernel in making these calls.

The librtasevent shared library provides users with a set of
definitions and common routines useful in parsing and dumping
the contents of RTAS events.

%package devel
Summary: Static libraries and header files for librtas development.
Group: Development/Libraries
Requires: librtas = %{version}

%description devel

The librtas-devel packages contains the header files and static libraries
necessary for developing programs using libdaemon.

%prep
%setup 
%patch0 -p1 -b .no_syscall

%build
make CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"


%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc COPYRIGHT README
/usr/lib/librtas.so.%{version}
/usr/lib/librtasevent.so.%{version}

%files devel
%defattr(-, root, root, -)
%doc COPYRIGHT README
/usr/lib/*.so
/usr/lib/*.a
/usr/include/*

%changelog
* Tue Aug 01 2006 Paul Nasrat <pnasrat@redhat.com> - 1.2.4-2
- Backport syscall fix from upstream 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 03 2005 Paul Nasrat <pnasrat@redhat.com> 1.2.4-1
- Update to latest version

* Thu Nov 03 2005 Paul Nasrat <pnasrat@redhat.com> 1.2.2-1
- Initial release
